Bug 17099 - GetSupportName and GetSupportList from C4/Koha.pm are no longer used
Summary: GetSupportName and GetSupportList from C4/Koha.pm are no longer used
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Architecture, internals, and plumbing (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Jonathan Druart
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks: 15779
  Show dependency treegraph
 
Reported: 2016-08-10 07:48 UTC by Jonathan Druart
Modified: 2017-12-07 22:16 UTC (History)
2 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 17099: C4::Koha - Remove GetSupportName and GetSupportList (4.85 KB, patch)
2016-08-10 07:50 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 17099: C4::Koha - Remove GetSupportName and GetSupportList (4.98 KB, patch)
2016-08-10 12:20 UTC, Marc Véron
Details | Diff | Splinter Review
[PASSED QA] Bug 17099: C4::Koha - Remove GetSupportName and GetSupportList (5.05 KB, patch)
2016-08-14 13:19 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Jonathan Druart 2016-08-10 07:48:29 UTC
Since bug 9468, these 2 subroutines are no longer in used and can be removed.
Comment 1 Jonathan Druart 2016-08-10 07:50:37 UTC Comment hidden (obsolete)
Comment 2 Marc Véron 2016-08-10 12:20:52 UTC Comment hidden (obsolete)
Comment 3 Katrin Fischer 2016-08-14 13:19:03 UTC
Created attachment 54434 [details] [review]
[PASSED QA] Bug 17099: C4::Koha - Remove GetSupportName and GetSupportList

Since bug 9468, these 2 subroutines are no longer in used and can be
removed.

Test plan:
  git grep GetSupportName
and
  git grep GetSupportList
should not return entries (unless 1 in release notes)

Signed-off-by: Marc Véron <veron@veron.ch>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 4 Kyle M Hall 2016-09-09 14:34:16 UTC
Pushed to master for 16.11, thanks Jonathan!